package com.ynet.life.services.http;

import com.ynet.life.base.Trace;
import java.net.HttpURLConnection;
import java.net.URL;

/* loaded from: com_ynet_life_services_http.jar:com/ynet/life/services/http/SynchronousHttpService.class */
public class SynchronousHttpService {
    private String requestURL;

    public SynchronousHttpService(String requestURL) {
        this.requestURL = requestURL;
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r6v0 */
    /* JADX WARN: Type inference failed for: r6v1 */
    /* JADX WARN: Type inference failed for: r6v4 */
    /* JADX WARN: Type inference failed for: r6v7, types: [java.io.InputStream] */
    /* JADX WARN: Type inference failed for: r6v9, types: [java.lang.Throwable, java.lang.Exception] */
    public int sendRequest() {
        HttpURLConnection urlConnection = null;
        boolean e = 0;
        try {
            try {
                HttpURLConnection httpURLConnection = (HttpURLConnection) new URL(this.requestURL).openConnection();
                urlConnection = httpURLConnection;
                httpURLConnection.setRequestMethod("POST");
                urlConnection.setDoInput(true);
                urlConnection.setDoOutput(false);
                urlConnection.setUseCaches(false);
                urlConnection.setRequestProperty("User-Agent", "MSIE");
                urlConnection.connect();
                urlConnection.getResponseCode();
                e = urlConnection.getInputStream();
                byte[] b = new byte[7];
                e.read(b);
                if (new String(b).equals("success")) {
                    if (e != 0) {
                        try {
                            e.close();
                        } catch (Exception e2) {
                            Trace.logWarning("LifeHTTP", "input对象关闭异常", e2);
                        }
                    }
                    if (urlConnection == null) {
                        return 200;
                    }
                    try {
                        urlConnection.disconnect();
                        return 200;
                    } catch (Exception e3) {
                        Trace.logWarning("LifeHTTP", "URLConnection对象关闭异常", e3);
                        return 200;
                    }
                }
                if (e != 0) {
                    try {
                        e.close();
                    } catch (Exception e4) {
                        Trace.logWarning("LifeHTTP", "input对象关闭异常", e4);
                    }
                }
                if (urlConnection == null) {
                    return 400;
                }
                try {
                    urlConnection.disconnect();
                    return 400;
                } catch (Exception e5) {
                    e = e5;
                    Trace.logWarning("LifeHTTP", "URLConnection对象关闭异常", (Throwable) e);
                    return 400;
                }
            } catch (Throwable th) {
                if (e) {
                    try {
                        e.close();
                    } catch (Exception e6) {
                        Trace.logWarning("LifeHTTP", "input对象关闭异常", e6);
                    }
                }
                if (urlConnection != null) {
                    try {
                        urlConnection.disconnect();
                    } catch (Exception e7) {
                        Trace.logWarning("LifeHTTP", "URLConnection对象关闭异常", e7);
                    }
                }
                throw th;
            }
        } catch (Exception e8) {
            Trace.logError("LifeHTTP", "HTTP通信异常", e8);
            if (e) {
                try {
                    e.close();
                } catch (Exception e9) {
                    Trace.logWarning("LifeHTTP", "input对象关闭异常", e9);
                }
            }
            if (urlConnection == null) {
                return 400;
            }
            try {
                urlConnection.disconnect();
                return 400;
            } catch (Exception e10) {
                Trace.logWarning("LifeHTTP", "URLConnection对象关闭异常", e10);
                return 400;
            }
        }
    }

    public static void main(String[] args) {
        int retCode = new SynchronousHttpService("http://localhost:8080/perbank/monitorDownReq.do?orderFlowNo=PB100000002847&verifyCode=tDwX67WdshEpOKykSnCX&").sendRequest();
        System.out.println(retCode);
    }
}
